<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddFileCfg Method (IEdmBatchListing2)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchListing2 Interface : AddFileCfg Method (IEdmBatchListing2)

Visual Basic
C#
C++/CLI

oIdOrPath
  Path of file to add

oFileDate
  Local file date

lParam
  Caller-defined argument

bsConfigName
  Name of the configuration from which to read the file variables; default is an empty string

lEdmListFileFlags
  Combination of EdmListFileFlags bits; default is 0

Adds a file to the batch of files for which to create a listing using variables from the specified configuration.

# Syntax

Visual Basic |
--- | ---

    Sub AddFileCfg( _
       ByVal oIdOrPath As System.Object, _
       ByVal oFileDate As System.Date, _
       ByVal lParam As System.Integer, _
       Optional ByVal bsConfigName As System.String, _
       Optional ByVal lEdmListFileFlags As System.Integer _
    )

C# |
--- | ---

    void AddFileCfg(
       System.object oIdOrPath,
       System.DateTime oFileDate,
       System.int lParam,
       System.string bsConfigName,
       System.int lEdmListFileFlags
    )

C++/CLI |
--- | ---

    void AddFileCfg(
    &   System.Object^ oIdOrPath,
    &   System.DateTime oFileDate,
    &   System.int lParam,
    &   System.String^ bsConfigName,
    &   System.int lEdmListFileFlags
    )

#### Parameters

oIdOrPath
  Path of file to add
oFileDate
  Local file date
lParam
  Caller-defined argument
bsConfigName
  Name of the configuration from which to read the file variables; default is an empty string
lEdmListFileFlags
  Combination of EdmListFileFlags bits; default is 0

# Example

Get File References for a File (C#)
Get File References for a File (VB.NET)

# Remarks

This method extends IEdmBatchListing::AddFile and IEdmBAtchListing::AddFolder by adding the ability to specify the configuration from which to read the file variables.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchListing2 Interface
IEdmBatchListing2 Members

# Availability

SOLIDWORKS PDM Professional 2009